/**
 * @file
 * grid--3.css
 *
 * Shortcodes for three grid layout
 * 
 * -------------------------------------------------
 * Updated: Alberni Design Jr - 2019-02-12
 * 
 * Attached thru `.libraries.yml`
 * 
 * Notes:
 *  - Based off Drupal's Adaptative theme's layout
 *
 ============================================================================ */

.grid-block--3 {
    width: 33.33333%;
    float: left;
}

.grid-block--3:nth-child(3n + 1) {
  margin-left: 0;
  margin-right: -100%;
  clear: both;
}

.grid-block--3:nth-child(3n + 2) {
  margin-left: 33.33333%;
  margin-right: -100%;
  clear: none;
}

.grid-block--3:nth-child(3n + 3) {
  margin-left: 66.66667%;
  margin-right: -100%;
  clear: none;
}